<?xml version="1.0" encoding="UTF-8"?><!--
/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output indent="no" omit-xml-declaration="yes" method="text" encoding="UTF-8" media-type="text/x-json"/>

<xsl:template match="/">
<xsl:text>{ "zero" : [</xsl:text>
    <xsl:for-each select="ivysettings/resolvers/zerourlresolver">
       <xsl:text>{ "name" : "</xsl:text><xsl:value-of select="@name" /><xsl:text>", "host" : "</xsl:text><xsl:value-of select="ivy/@pattern" /><xsl:text>"}</xsl:text> <xsl:if test="following-sibling::zerourlresolver">,</xsl:if>
    </xsl:for-each>
<xsl:text>], "maven" : [</xsl:text>
    <xsl:for-each select="ivysettings/resolvers/zeroibiblioresolver">
        <xsl:text>{ "name" : "</xsl:text><xsl:value-of select="@name" /><xsl:text>", "host" : "</xsl:text><xsl:value-of select="@root" /><xsl:text>"}</xsl:text><xsl:if test="following-sibling::zeroibiblioresolver">,</xsl:if>
    </xsl:for-each>
<xsl:text>], "chain" : [{</xsl:text>
    <xsl:for-each select="ivysettings/resolvers/chain">
      <xsl:text>"</xsl:text><xsl:value-of select="@name"/><xsl:text>" : [</xsl:text>
      <xsl:for-each select="resolver">
          <xsl:text>"</xsl:text><xsl:value-of select="@ref" /><xsl:text>"</xsl:text><xsl:if test="following-sibling::resolver">,</xsl:if>
       </xsl:for-each>
<xsl:text>]</xsl:text><xsl:if test="following-sibling::chain">,</xsl:if>
    </xsl:for-each>
<xsl:text>}]}</xsl:text>
</xsl:template>

</xsl:stylesheet>
