<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xhtml="http://www.w3.org/1999/xhtml">
   <xsl:output indent="yes"/>

   <xsl:template match="/">
       <xsl:apply-templates
           select="xhtml:html/xhtml:body/xhtml:h2 | xhtml:html/xhtml:body/xhtml:h3 | xhtml:html/xhtml:body/xhtml:dl/xhtml:dd"/>
   </xsl:template>

   <xsl:template match="xhtml:html/xhtml:body/xhtml:h2">
subtask=<xsl:value-of select="."/>
   </xsl:template>

   <xsl:template match="xhtml:html/xhtml:body/xhtml:h3">
command.name=<xsl:value-of select="."/>
   </xsl:template>

   <xsl:template match="xhtml:html/xhtml:body/xhtml:dl/xhtml:dd">
       <!-- <xsl:value-of select="."/>  -->
       <xsl:apply-templates
           select="xhtml:ul | xhtml:p | xhtml:div"/>       
   </xsl:template>

   <xsl:template match="xhtml:html/xhtml:body/xhtml:dl/xhtml:dd/xhtml:ul">
       <xsl:for-each select="xhtml:li">
full.x.li=<xsl:value-of select="."/>
       </xsl:for-each>
   </xsl:template>

   <xsl:template match="xhtml:html/xhtml:body/xhtml:dl/xhtml:dd/xhtml:p">
full.x.p=<xsl:value-of select="."/>
   </xsl:template>

   <xsl:template match="xhtml:html/xhtml:body/xhtml:dl/xhtml:dd/xhtml:div">
full.x.p.<xsl:value-of select="@class"/>=<xsl:value-of select="."/>
   </xsl:template>

</xsl:stylesheet>
